[PVFS2-CVS]
commit by pcarns in pvfs2/maint/build: pvfs2-buildandrun.sh
pvfs2-build.sh
CVS commit program
cvs at parl.clemson.edu
Fri Mar 19 13:21:52 EST 2004
Update of /projects/cvsroot/pvfs2/maint/build
In directory parlweb:/tmp/cvs-serv14665
Modified Files:
pvfs2-build.sh
Added Files:
pvfs2-buildandrun.sh
Log Message:
break apart build and test steps of build scripts, so that the former can be
used in some other places
--- /dev/null 2003-01-30 05:24:37.000000000 -0500
+++ pvfs2-buildandrun.sh 2004-03-19 13:21:52.000000000 -0500
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# requires:
+# expect
+# cvs (if pulling from CVS
+
+rootdir=/tmp/pvfs2-build-test
+srcdir=$rootdir/pvfs2
+builddir=$rootdir/BUILD-pvfs2
+installdir=$rootdir/INSTALL-pvfs2
+
+# run the script that downloads, builds, and installs pvfs2
+./pvfs2-build.sh
+
+cd $builddir
+
+# after installing, create a pvfs volume (PAV)
+# . start the volume
+# . load up some environment variables, exporting the important ones
+# like PVFS2TAB_FILE
+
+PAV_DIR=/test/common/pav
+$srcdir/$PAV_DIR/pav_start -c $builddir/${PAV_DIR}/configfile.sample > $rootdir/pav-setup.log 2>&1
+
+if [ $? -ne 0 ] ; then
+ echo "Failed to start PAV. see $rootdir/pav-setup.log for details"
+ exit 1
+fi
+
+eval $($srcdir/${PAV_DIR}/pav_info -c $builddir/${PAV_DIR}/configfile.sample)
+export PVFS2TAB_FILE
+
+# then run a test or set of tests (most likely PTS)
+$builddir/src/apps/admin/pvfs2-ping -m $MOUNTPOINT >/dev/null
+if [ $? -eq 0 ] ; then
+ echo "Servers started successfully"
+else
+ echo "Servers failed to start"
+ exit 1
+fi
+
+# now do some testing. something trivial for now
+$builddir/src/apps/admin/pvfs2-import $builddir/src/apps/admin/pvfs2-import $MOUNTPOINT/pvfs2-import
+
+
+# and clean up
+$srcdir/$PAV_DIR/pav_stop -c $builddir/${PAV_DIR}/configfile.sample > $rootdir/pav-shutdown.log 2>&1 && echo "Script completed successfully."
Index: pvfs2-build.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2/maint/build/pvfs2-build.sh,v
diff -p -u -r1.3 -r1.4
--- pvfs2-build.sh 10 Dec 2003 18:40:43 -0000 1.3
+++ pvfs2-build.sh 19 Mar 2004 18:21:52 -0000 1.4
@@ -121,34 +121,3 @@ if [ $? != 0 ] ; then
exit 1
fi
-# after installing, create a pvfs volume (PAV)
-# . start the volume
-# . load up some environment variables, exporting the important ones
-# like PVFS2TAB_FILE
-
-PAV_DIR=/test/common/pav
-$srcdir/$PAV_DIR/pav_start -c $builddir/${PAV_DIR}/configfile.sample > $rootdir/pav-setup.log 2>&1
-
-if [ $? -ne 0 ] ; then
- echo "Failed to start PAV. see $rootdir/pav-setup.log for details"
- exit 1
-fi
-
-eval $($srcdir/${PAV_DIR}/pav_info -c $builddir/${PAV_DIR}/configfile.sample)
-export PVFS2TAB_FILE
-
-# then run a test or set of tests (most likely PTS)
-$builddir/src/apps/admin/pvfs2-ping -m $MOUNTPOINT >/dev/null
-if [ $? -eq 0 ] ; then
- echo "Servers started successfully"
-else
- echo "Servers failed to start"
- exit 1
-fi
-
-# now do some testing. something trivial for now
-$builddir/src/apps/admin/pvfs2-import $builddir/src/apps/admin/pvfs2-import $MOUNTPOINT/pvfs2-import
-
-
-# and clean up
-$srcdir/$PAV_DIR/pav_stop -c $builddir/${PAV_DIR}/configfile.sample > $rootdir/pav-shutdown.log 2>&1 && echo "Script completed successfully."
More information about the PVFS2-CVS
mailing list